Bug 913168 - avahi-libs should not require avahi
Summary: avahi-libs should not require avahi
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: avahi
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lennart Poettering
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: FutureFeature, Reopened
: 836547 (view as bug list)
Depends On:
Blocks: 1170681
TreeView+ depends on / blocked
 
Reported: 2013-02-20 14:54 UTC by Michal Schmidt
Modified: 2015-01-14 15:20 UTC (History)
10 users (show)

(edit)
Clone Of:
: 1170681 (view as bug list)
(edit)
Last Closed: 2013-10-12 04:22:24 UTC


Attachments (Terms of Use)

Description Michal Schmidt 2013-02-20 14:54:59 UTC
The dependency added in this commit does not seem right:

commit 661b35b0ba7b3752e02261c0ddf601a826102d7e
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Fri Feb 1 15:26:42 2013 -0500

    tighten inter-subpackage symlinks

...
@@ -247,6 +249,7 @@ Mono programs that use avahi-ui.
 
 %package libs
 Summary:          Libraries for avahi run-time use
+Requires:         %{name} = %{version}-%{release}


The main package already has a versioned dependency on the avahi-libs subpackage, which is alright. But the dependency in the opposite direction is wrong.

Comment 1 Fedora End Of Life 2013-04-03 15:59:45 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19

Comment 2 Lars E. Pettersson 2013-08-04 15:03:07 UTC
On a fully updated Fedora 19 installation avahi-libs still seem to pull in avahi:

# yum deplist avahi-libs.x86_64|grep "avahi "
  dependency: avahi = 0.6.31-11.fc19

# rpm -qa '*avahi*'|sort
avahi-0.6.31-11.fc19.x86_64
avahi-autoipd-0.6.31-11.fc19.x86_64
avahi-glib-0.6.31-11.fc19.x86_64
avahi-gobject-0.6.31-11.fc19.x86_64
avahi-libs-0.6.31-11.fc19.x86_64
avahi-ui-gtk3-0.6.31-11.fc19.x86_64

Due to this 'yum erase avahi' does not work without removing (on my system) 310 extra packages at the same time.

On a Fedora 18 installation, this dependency does not exist, and 'yum erase avahi' does work, only removing nss-mdns on my test system.

Comment 3 Rex Dieter 2013-09-21 04:22:54 UTC
rebasing...

Comment 4 Rex Dieter 2013-09-21 04:27:21 UTC
*** Bug 836547 has been marked as a duplicate of this bug. ***

Comment 5 Rex Dieter 2013-09-21 04:35:09 UTC
%changelog
* Fri Sep 20 2013 Rex Dieter <rdieter@fedoraproject.org> - 0.6.31-17
- -libs: %%doc README LICENSE
- drop some explicit -devel deps, rely on automatic pkgconfig deps
- drop -Werror compiler flag
- cleanup/tighten subpkg deps
- trim changelog
- avahi-libs should not require avahi, f21+ (#913168)


fixed in rawhide (f21+), not comfortable removing for prior releases where some dependant packages may currently assume it is present.

Comment 6 Matthew Miller 2013-10-08 11:55:17 UTC
Rex, can you fix this in F20 too, please? I don't think that counts as a prior release yet. :)

Comment 7 Rex Dieter 2013-10-08 12:03:16 UTC
I guess we need to re-open this, my "fix" was reverted.

commit 3c8e583eebee29b5d801e8d3e4b183136e9ef04f
Author: Kalev Lember <kalevlember@gmail.com>
Date:   Wed Sep 25 12:18:36 2013 +0200

    Make sure the split up -devel package require avahi-devel
    
    This adds back the dependency on the base -devel that was dropped in
    commit b09f78ff7fd369ad57fca60db5676b2ac3d18ab9.
    
    Most of the existing packages just have deps on e.g. avahi-glib-devel
    and expect to have avahi-devel pulled in as well, failing to build
    otherwise.

Comment 8 Rex Dieter 2013-10-08 12:03:43 UTC
Err, I guess that's a separate issue.

Comment 9 Rex Dieter 2013-10-08 12:07:26 UTC
I'm ok with that I guess, we can keep an eye out for related issues, and holler loudly. :)

Comment 10 Fedora Update System 2013-10-08 12:32:14 UTC
avahi-0.6.31-21.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/avahi-0.6.31-21.fc20

Comment 11 Fedora Update System 2013-10-09 14:25:17 UTC
Package avahi-0.6.31-21.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing avahi-0.6.31-21.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-18538/avahi-0.6.31-21.fc20
then log in and leave karma (feedback).

Comment 12 Fedora Update System 2013-10-12 04:22:24 UTC
avahi-0.6.31-21.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Harald Reindl 2014-02-21 22:52:46 UTC
NOTHING is closed - this crap appears randomly an each and every fedora release cycle resulting in get the avahi dameon installed AND enabled - DAMNED

once a year the same damned discussion

throw away avahi from fedora, watch the dependencies or AT LEAST FORBID to get services silently enabled again and again

[root@thx1138:~]$ yum remove avahi
Loaded plugins: protectbase, tsflags
Resolving Dependencies
--> Running transaction check
---> Package avahi.x86_64 0:0.6.31-11.fc19 will be erased
--> Processing Dependency: avahi = 0.6.31-11.fc19 for package: avahi-libs-0.6.31-11.fc19.x86_64
--> Running transaction check
---> Package avahi-libs.x86_64 0:0.6.31-11.fc19 will be erased
--> Processing Dependency: libavahi-client.so.3()(64bit) for package: 1:cups-libs-1.6.4-2.fc19.x86_64
--> Processing Dependency: libavahi-common.so.3()(64bit) for package: 1:cups-libs-1.6.4-2.fc19.x86_64
--> Running transaction check
---> Package cups-libs.x86_64 1:1.6.4-2.fc19 will be erased
--> Processing Dependency: libcups.so.2()(64bit) for package: 2:samba-libs-4.0.13-1.fc19.x86_64
--> Running transaction check
---> Package samba-libs.x86_64 2:4.0.13-1.fc19 will be erased
--> Processing Dependency: samba-libs = 2:4.0.13-1.fc19 for package: 2:libsmbclient-4.0.13-1.fc19.x86_64
--> Processing Dependency: samba-libs = 2:4.0.13-1.fc19 for package: 2:samba-4.0.13-1.fc19.x86_64
--> Processing Dependency: samba-libs = 2:4.0.13-1.fc19 for package: 2:samba-common-4.0.13-1.fc19.x86_64
--> Processing Dependency: samba-libs = 2:4.0.13-1.fc19 for package: 2:samba-client-4.0.13-1.fc19.x86_64
--> Processing Dependency: libaddns.so()(64bit) for package: 2:samba-common-4.0.13-1.fc19.x86_64
--> Processing Dependency: libaddns.so()(64bit) for package: 2:samba-client-4.0.13-1.fc19.x86_64
--> Processing Dependency: libaddns.so(SAMBA_4.0.13)(64bit) for package: 2:samba-common-4.0.13-1.fc19.x86_64
--> Processing Dependency: libaddns.so(SAMBA_4.0.13)(64bit) for package: 2:samba-client-4.0.13-1.fc19.x86_64
--> Processing Dependency: libads.so()(64bit) for package: 2:samba-common-4.0.13-1.fc19.x86_64
--> Processing Dependency: libads.so(SAMBA_4.0.13)(64bit) for package: 2:samba-common-4.0.13-1.fc19.x86_64
--> Processing Dependency: libauth.so()(64bit) for package: 2:samba-4.0.13-1.fc19.x86_64
--> Processing Dependency: libauth.so()(64bit) for package: 2:samba-common-4.0.13-1.fc19.x86_64
--> Processing Dependency: libauth.so(SAMBA_4.0.13)(64bit) for package: 2:samba-4.0.13-1.fc19.x86_64
--> Processing Dependency: libauth.so(SAMBA_4.0.13)(64bit) for package: 2:samba-common-4.0.13-1.fc19.x86_64
--> Processing Dependency: libCHARSET3.so()(64bit) for package: 2:samba-4.0.13-1.fc19.x86_64
--> Processing Dependency: libCHARSET3.so()(64bit) for package: 2:samba-common-4.0.13-1.fc19.x86_64
--> Processing Dependency: libCHARSET3.so()(64bit) for package: 2:samba-client-4.0.13-1.fc19.x86_64
--> Processing Dependency: libCHARSET3.so(SAMBA_4.0.13)(64bit) for package: 2:samba-4.0.13-1.fc19.x86_64
--> Processing Dependency: libCHARSET3.so(SAMBA_4.0.13)(64bit) for package: 2:samba-common-4.0.13-1.fc19.x86_64
--> Processing Dependency: libCHARSET3.so(SAMBA_4.0.13)(64bit) for package: 2:samba-client-4.0.13-1.fc19.x86_64
--> Processing Dependency: libcliauth.so()(64bit) for package: 2:samba-4.0.13-1.fc19.x86_64
--> Processing Dependency: libcliauth.so()(64bit) for package: 2:samba-common-4.0.13-1.fc19.x86_64
--> Processing Dependency: libcliauth.so()(64bit) for package: 2:samba-client-4.0.13-1.fc19.x86_64
--> Processing Dependency: libcliauth.so(SAMBA_4.0.13)(64bit) for package: 2:samba-4.0.13-1.fc19.x86_64
--> Processing Dependency: libcliauth.so(SAMBA_4.0.13)(64bit) for package: 2:samba-common-4.0.13-1.fc19.x86_64
--> Processing Dependency: libcliauth.so(SAMBA_4.0.13)(64bit) for package: 2:samba-client-4.0.13-1.fc19.x86_64
--> Processing Dependency: libcli_cldap.so()(64bit) for package: 2:samba-4.0.13-1.fc19.x86_64
--> Processing Dependency: libcli_cldap.so()(64bit) for package: 2:samba-client-4.0.13-1.fc19.x86_64
--> Processing Dependency: libcli_cldap.so(SAMBA_4.0.13)(64bit) for package: 2:samba-4.0.13-1.fc19.x86_64
--> Processing Dependency: libcli_cldap.so(SAMBA_4.0.13)(64bit) for package: 2:samba-client-4.0.13-1.fc19.x86_64
--> Processing Dependency: libcli-ldap.so()(64bit) for package: 2:samba-client-4.0.13-1.fc19.x86_64
--> Processing Dependency: libcli-ldap.so(SAMBA_4.0.13)(64bit) for package: 2:samba-client-4.0.13-1.fc19.x86_64
--> Processing Dependency: libcli-nbt.so()(64bit) for package: 2:samba-4.0.13-1.fc19.x86_64
--> Processing Dependency: libcli-nbt.so()(64bit) for package: 2:samba-client-4.0.13-1.fc19.x86_64
--> Processing Dependency: libcli-nbt.so(SAMBA_4.0.13)(64bit) for package: 2:samba-4.0.13-1.fc19.x86_64
--> Processing Dependency: libcli-nbt.so(SAMBA_4.0.13)(64bit) for package: 2:samba-client-4.0.13-1.fc19.x86_64
--> Processing Dependency: libcli_smb_common.so()(64bit) for package: 2:libsmbclient-4.0.13-1.fc19.x86_64
--> Processing Dependency: libcli_smb_common.so()(64bit) for package: 2:samba-4.0.13-1.fc19.x86_64
--> Processing Dependency: libcli_smb_common.so()(64bit) for package: 2:samba-common-4.0.13-1.fc19.x86_64
--> Processing Dependency: libcli_smb_common.so()(64bit) for package: 2:samba-client-4.0.13-1.fc19.x86_64
--> Processing Dependency: libcli_smb_common.so(SAMBA_4.0.13)(64bit) for package: 2:libsmbclient-4.0.13-1.fc19.x86_64
--> Processing Dependency: libcli_smb_common.so(SAMBA_4.0.13)(64bit) for package: 2:samba-4.0.13-1.fc19.x86_64
--> Processing Dependency: libcli_smb_common.so(SAMBA_4.0.13)(64bit) for package: 2:samba-common-4.0.13-1.fc19.x86_64
--> Processing Dependency: libcli_smb_common.so(SAMBA_4.0.13)(64bit) for package: 2:samba-client-4.0.13-1.fc19.x86_64
--> Processing Dependency: libcli_spoolss.so()(64bit) for package: 2:samba-common-4.0.13-1.fc19.x86_64
--> Processing Dependency: libcli_spoolss.so()(64bit) for package: 2:samba-client-4.0.13-1.fc19.x86_64
--> Processing Dependency: libcli_spoolss.so(SAMBA_4.0.13)(64bit) for package: 2:samba-common-4.0.13-1.fc19.x86_64
--> Processing Dependency: libcli_spoolss.so(SAMBA_4.0.13)(64bit) for package: 2:samba-client-4.0.13-1.fc19.x86_64
--> Processing Dependency: libcmdline-credentials.so()(64bit) for package: 2:samba-client-4.0.13-1.fc19.x86_64
--> Processing Dependency: libcmdline-credentials.so(SAMBA_4.0.13)(64bit) for package: 2:samba-client-4.0.13-1.fc19.x86_64
--> Processing Dependency: libdbwrap.so()(64bit) for package: 2:samba-4.0.13-1.fc19.x86_64
--> Processing Dependency: libdbwrap.so()(64bit) for package: 2:samba-common-4.0.13-1.fc19.x86_64
--> Processing Dependency: libdbwrap.so()(64bit) for package: 2:samba-client-4.0.13-1.fc19.x86_64
--> Processing Dependency: libdbwrap.so(SAMBA_4.0.13)(64bit) for package: 2:samba-4.0.13-1.fc19.x86_64
--> Processing Dependency: libdbwrap.so(SAMBA_4.0.13)(64bit) for package: 2:samba-common-4.0.13-1.fc19.x86_64
--> Processing Dependency: libdbwrap.so(SAMBA_4.0.13)(64bit) for package: 2:samba-client-4.0.13-1.fc19.x86_64
--> Processing Dependency: libdcerpc-binding.so.0()(64bit) for package: 2:samba-common-4.0.13-1.fc19.x86_64
--> Processing Dependency: libdcerpc-binding.so.0()(64bit) for package: 2:samba-client-4.0.13-1.fc19.x86_64
--> Processing Dependency: libdcerpc-binding.so.0(DCERPC_BINDING_0.0.1)(64bit) for package: 2:samba-common-4.0.13-1.fc19.x86_64
--> Processing Dependency: libdcerpc-binding.so.0(DCERPC_BINDING_0.0.1)(64bit) for package: 2:samba-client-4.0.13-1.fc19.x86_64
--> Processing Dependency: libdcerpc-samba.so()(64bit) for package: 2:libsmbclient-4.0.13-1.fc19.x86_64
--> Processing Dependency: libdcerpc-samba.so()(64bit) for package: 2:samba-common-4.0.13-1.fc19.x86_64
--> Processing Dependency: libdcerpc-samba.so()(64bit) for package: 2:samba-client-4.0.13-1.fc19.x86_64
--> Processing Dependency: libdcerpc-samba.so(SAMBA_4.0.13)(64bit) for package: 2:libsmbclient-4.0.13-1.fc19.x86_64
--> Processing Dependency: libdcerpc-samba.so(SAMBA_4.0.13)(64bit) for package: 2:samba-common-4.0.13-1.fc19.x86_64
--> Processing Dependency: libdcerpc-samba.so(SAMBA_4.0.13)(64bit) for package: 2:samba-client-4.0.13-1.fc19.x86_64
--> Processing Dependency: libdcerpc.so.0()(64bit) for package: 2:samba-client-4.0.13-1.fc19.x86_64
--> Processing Dependency: libdcerpc.so.0(DCERPC_0.0.1)(64bit) for package: 2:samba-client-4.0.13-1.fc19.x86_64
--> Processing Dependency: liberrors.so()(64bit) for package: 2:libsmbclient-4.0.13-1.fc19.x86_64
--> Processing Dependency: liberrors.so()(64bit) for package: 2:samba-4.0.13-1.fc19.x86_64
--> Processing Dependency: liberrors.so()(64bit) for package: 2:samba-common-4.0.13-1.fc19.x86_64
--> Processing Dependency: liberrors.so()(64bit) for package: 2:samba-client-4.0.13-1.fc19.x86_64
--> Processing Dependency: liberrors.so(SAMBA_4.0.13)(64bit) for package: 2:libsmbclient-4.0.13-1.fc19.x86_64
--> Processing Dependency: liberrors.so(SAMBA_4.0.13)(64bit) for package: 2:samba-4.0.13-1.fc19.x86_64
--> Processing Dependency: liberrors.so(SAMBA_4.0.13)(64bit) for package: 2:samba-common-4.0.13-1.fc19.x86_64
--> Processing Dependency: liberrors.so(SAMBA_4.0.13)(64bit) for package: 2:samba-client-4.0.13-1.fc19.x86_64
--> Processing Dependency: libevents.so()(64bit) for package: 2:samba-client-4.0.13-1.fc19.x86_64
--> Processing Dependency: libevents.so(SAMBA_4.0.13)(64bit) for package: 2:samba-client-4.0.13-1.fc19.x86_64
--> Processing Dependency: libflag_mapping.so()(64bit) for package: 2:samba-common-4.0.13-1.fc19.x86_64
--> Processing Dependency: libflag_mapping.so(SAMBA_4.0.13)(64bit) for package: 2:samba-common-4.0.13-1.fc19.x86_64
--> Processing Dependency: libgensec.so.0()(64bit) for package: 2:samba-client-4.0.13-1.fc19.x86_64
--> Processing Dependency: libgensec.so.0(GENSEC_0.0.1)(64bit) for package: 2:samba-client-4.0.13-1.fc19.x86_64
--> Processing Dependency: libgpo.so()(64bit) for package: 2:samba-common-4.0.13-1.fc19.x86_64
--> Processing Dependency: libgpo.so(SAMBA_4.0.13)(64bit) for package: 2:samba-common-4.0.13-1.fc19.x86_64
--> Processing Dependency: libgse.so()(64bit) for package: 2:libsmbclient-4.0.13-1.fc19.x86_64
--> Processing Dependency: libgse.so()(64bit) for package: 2:samba-4.0.13-1.fc19.x86_64
--> Processing Dependency: libgse.so()(64bit) for package: 2:samba-common-4.0.13-1.fc19.x86_64
--> Processing Dependency: libgse.so()(64bit) for package: 2:samba-client-4.0.13-1.fc19.x86_64
--> Processing Dependency: libgse.so(SAMBA_4.0.13)(64bit) for package: 2:libsmbclient-4.0.13-1.fc19.x86_64
--> Processing Dependency: libgse.so(SAMBA_4.0.13)(64bit) for package: 2:samba-4.0.13-1.fc19.x86_64
--> Processing Dependency: libgse.so(SAMBA_4.0.13)(64bit) for package: 2:samba-common-4.0.13-1.fc19.x86_64
--> Processing Dependency: libgse.so(SAMBA_4.0.13)(64bit) for package: 2:samba-client-4.0.13-1.fc19.x86_64
--> Processing Dependency: libkrb5samba.so()(64bit) for package: 2:samba-common-4.0.13-1.fc19.x86_64
--> Processing Dependency: libkrb5samba.so(SAMBA_4.0.13)(64bit) for package: 2:samba-common-4.0.13-1.fc19.x86_64
--> Processing Dependency: libldbsamba.so()(64bit) for package: 2:samba-client-4.0.13-1.fc19.x86_64
--> Processing Dependency: libldbsamba.so(SAMBA_4.0.13)(64bit) for package: 2:samba-client-4.0.13-1.fc19.x86_64
--> Processing Dependency: liblibcli_lsa3.so()(64bit) for package: 2:libsmbclient-4.0.13-1.fc19.x86_64
--> Processing Dependency: liblibcli_lsa3.so()(64bit) for package: 2:samba-common-4.0.13-1.fc19.x86_64
--> Processing Dependency: liblibcli_lsa3.so()(64bit) for package: 2:samba-client-4.0.13-1.fc19.x86_64
--> Processing Dependency: liblibcli_lsa3.so(SAMBA_4.0.13)(64bit) for package: 2:libsmbclient-4.0.13-1.fc19.x86_64
--> Processing Dependency: liblibcli_lsa3.so(SAMBA_4.0.13)(64bit) for package: 2:samba-common-4.0.13-1.fc19.x86_64
--> Processing Dependency: liblibcli_lsa3.so(SAMBA_4.0.13)(64bit) for package: 2:samba-client-4.0.13-1.fc19.x86_64
--> Processing Dependency: liblibcli_netlogon3.so()(64bit) for package: 2:samba-common-4.0.13-1.fc19.x86_64
--> Processing Dependency: liblibcli_netlogon3.so()(64bit) for package: 2:samba-client-4.0.13-1.fc19.x86_64
--> Processing Dependency: liblibcli_netlogon3.so(SAMBA_4.0.13)(64bit) for package: 2:samba-common-4.0.13-1.fc19.x86_64
--> Processing Dependency: liblibcli_netlogon3.so(SAMBA_4.0.13)(64bit) for package: 2:samba-client-4.0.13-1.fc19.x86_64
--> Processing Dependency: liblibsmb.so()(64bit) for package: 2:libsmbclient-4.0.13-1.fc19.x86_64
--> Processing Dependency: liblibsmb.so()(64bit) for package: 2:samba-4.0.13-1.fc19.x86_64
--> Processing Dependency: liblibsmb.so()(64bit) for package: 2:samba-common-4.0.13-1.fc19.x86_64
--> Processing Dependency: liblibsmb.so()(64bit) for package: 2:samba-client-4.0.13-1.fc19.x86_64
--> Processing Dependency: liblibsmb.so(SAMBA_4.0.13)(64bit) for package: 2:libsmbclient-4.0.13-1.fc19.x86_64
--> Processing Dependency: liblibsmb.so(SAMBA_4.0.13)(64bit) for package: 2:samba-4.0.13-1.fc19.x86_64
--> Processing Dependency: liblibsmb.so(SAMBA_4.0.13)(64bit) for package: 2:samba-common-4.0.13-1.fc19.x86_64
--> Processing Dependency: liblibsmb.so(SAMBA_4.0.13)(64bit) for package: 2:samba-client-4.0.13-1.fc19.x86_64
--> Processing Dependency: libmsrpc3.so()(64bit) for package: 2:libsmbclient-4.0.13-1.fc19.x86_64
--> Processing Dependency: libmsrpc3.so()(64bit) for package: 2:samba-common-4.0.13-1.fc19.x86_64
--> Processing Dependency: libmsrpc3.so()(64bit) for package: 2:samba-client-4.0.13-1.fc19.x86_64
--> Processing Dependency: libmsrpc3.so(SAMBA_4.0.13)(64bit) for package: 2:libsmbclient-4.0.13-1.fc19.x86_64
--> Processing Dependency: libmsrpc3.so(SAMBA_4.0.13)(64bit) for package: 2:samba-common-4.0.13-1.fc19.x86_64
--> Processing Dependency: libmsrpc3.so(SAMBA_4.0.13)(64bit) for package: 2:samba-client-4.0.13-1.fc19.x86_64
--> Processing Dependency: libndr-krb5pac.so.0()(64bit) for package: 2:samba-common-4.0.13-1.fc19.x86_64
--> Processing Dependency: libndr-krb5pac.so.0(NDR_KRB5PAC_0.0.1)(64bit) for package: 2:samba-common-4.0.13-1.fc19.x86_64
--> Processing Dependency: libndr-nbt.so.0()(64bit) for package: 2:samba-4.0.13-1.fc19.x86_64
--> Processing Dependency: libndr-nbt.so.0()(64bit) for package: 2:samba-client-4.0.13-1.fc19.x86_64
--> Processing Dependency: libndr-nbt.so.0(NDR_NBT_0.0.1)(64bit) for package: 2:samba-4.0.13-1.fc19.x86_64
--> Processing Dependency: libndr-nbt.so.0(NDR_NBT_0.0.1)(64bit) for package: 2:samba-client-4.0.13-1.fc19.x86_64
--> Processing Dependency: libndr-samba.so()(64bit) for package: 2:samba-4.0.13-1.fc19.x86_64
--> Processing Dependency: libndr-samba.so()(64bit) for package: 2:samba-common-4.0.13-1.fc19.x86_64
--> Processing Dependency: libndr-samba.so()(64bit) for package: 2:samba-client-4.0.13-1.fc19.x86_64
--> Processing Dependency: libndr-samba.so(SAMBA_4.0.13)(64bit) for package: 2:samba-4.0.13-1.fc19.x86_64
--> Processing Dependency: libndr-samba.so(SAMBA_4.0.13)(64bit) for package: 2:samba-common-4.0.13-1.fc19.x86_64
--> Processing Dependency: libndr-samba.so(SAMBA_4.0.13)(64bit) for package: 2:samba-client-4.0.13-1.fc19.x86_64
--> Processing Dependency: libndr.so.0()(64bit) for package: 2:libsmbclient-4.0.13-1.fc19.x86_64
--> Processing Dependency: libndr.so.0()(64bit) for package: 2:samba-4.0.13-1.fc19.x86_64
--> Processing Dependency: libndr.so.0()(64bit) for package: 2:samba-common-4.0.13-1.fc19.x86_64
--> Processing Dependency: libndr.so.0()(64bit) for package: 2:samba-client-4.0.13-1.fc19.x86_64
--> Processing Dependency: libndr.so.0(NDR_0.0.1)(64bit) for package: 2:libsmbclient-4.0.13-1.fc19.x86_64
--> Processing Dependency: libndr.so.0(NDR_0.0.1)(64bit) for package: 2:samba-4.0.13-1.fc19.x86_64
--> Processing Dependency: libndr.so.0(NDR_0.0.1)(64bit) for package: 2:samba-common-4.0.13-1.fc19.x86_64
--> Processing Dependency: libndr.so.0(NDR_0.0.1)(64bit) for package: 2:samba-client-4.0.13-1.fc19.x86_64
--> Processing Dependency: libndr-standard.so.0()(64bit) for package: 2:libsmbclient-4.0.13-1.fc19.x86_64
--> Processing Dependency: libndr-standard.so.0()(64bit) for package: 2:samba-4.0.13-1.fc19.x86_64
--> Processing Dependency: libndr-standard.so.0()(64bit) for package: 2:samba-common-4.0.13-1.fc19.x86_64
--> Processing Dependency: libndr-standard.so.0()(64bit) for package: 2:samba-client-4.0.13-1.fc19.x86_64
--> Processing Dependency: libndr-standard.so.0(NDR_STANDARD_0.0.1)(64bit) for package: 2:libsmbclient-4.0.13-1.fc19.x86_64
--> Processing Dependency: libndr-standard.so.0(NDR_STANDARD_0.0.1)(64bit) for package: 2:samba-4.0.13-1.fc19.x86_64
--> Processing Dependency: libndr-standard.so.0(NDR_STANDARD_0.0.1)(64bit) for package: 2:samba-common-4.0.13-1.fc19.x86_64
--> Processing Dependency: libndr-standard.so.0(NDR_STANDARD_0.0.1)(64bit) for package: 2:samba-client-4.0.13-1.fc19.x86_64
--> Processing Dependency: libnetapi.so.0()(64bit) for package: 2:samba-common-4.0.13-1.fc19.x86_64
--> Processing Dependency: libnetapi.so.0(NETAPI_0)(64bit) for package: 2:samba-common-4.0.13-1.fc19.x86_64
--> Processing Dependency: libnetif.so()(64bit) for package: 2:samba-client-4.0.13-1.fc19.x86_64
--> Processing Dependency: libnetif.so(SAMBA_4.0.13)(64bit) for package: 2:samba-client-4.0.13-1.fc19.x86_64
--> Processing Dependency: libnet_keytab.so()(64bit) for package: 2:samba-common-4.0.13-1.fc19.x86_64
--> Processing Dependency: libnet_keytab.so(SAMBA_4.0.13)(64bit) for package: 2:samba-common-4.0.13-1.fc19.x86_64
--> Processing Dependency: libpdb.so.0()(64bit) for package: 2:samba-4.0.13-1.fc19.x86_64
--> Processing Dependency: libpdb.so.0()(64bit) for package: 2:samba-common-4.0.13-1.fc19.x86_64
--> Processing Dependency: libpdb.so.0()(64bit) for package: 2:samba-client-4.0.13-1.fc19.x86_64
--> Processing Dependency: libpdb.so.0(PDB_0)(64bit) for package: 2:samba-4.0.13-1.fc19.x86_64
--> Processing Dependency: libpdb.so.0(PDB_0)(64bit) for package: 2:samba-common-4.0.13-1.fc19.x86_64
--> Processing Dependency: libpdb.so.0(PDB_0)(64bit) for package: 2:samba-client-4.0.13-1.fc19.x86_64
--> Processing Dependency: libprinting_migrate.so()(64bit) for package: 2:samba-common-4.0.13-1.fc19.x86_64
--> Processing Dependency: libprinting_migrate.so(SAMBA_4.0.13)(64bit) for package: 2:samba-common-4.0.13-1.fc19.x86_64
--> Processing Dependency: libregistry.so.0()(64bit) for package: 2:samba-client-4.0.13-1.fc19.x86_64
--> Processing Dependency: libregistry.so.0(REGISTRY_0.0.1)(64bit) for package: 2:samba-client-4.0.13-1.fc19.x86_64
--> Processing Dependency: libreplace.so()(64bit) for package: 2:samba-common-4.0.13-1.fc19.x86_64
--> Processing Dependency: libreplace.so()(64bit) for package: 2:samba-client-4.0.13-1.fc19.x86_64
--> Processing Dependency: libreplace.so(SAMBA_4.0.13)(64bit) for package: 2:samba-common-4.0.13-1.fc19.x86_64
--> Processing Dependency: libreplace.so(SAMBA_4.0.13)(64bit) for package: 2:samba-client-4.0.13-1.fc19.x86_64
--> Processing Dependency: libsamba3-util.so()(64bit) for package: 2:samba-4.0.13-1.fc19.x86_64
--> Processing Dependency: libsamba3-util.so()(64bit) for package: 2:samba-common-4.0.13-1.fc19.x86_64
--> Processing Dependency: libsamba3-util.so()(64bit) for package: 2:samba-client-4.0.13-1.fc19.x86_64
--> Processing Dependency: libsamba3-util.so(SAMBA_4.0.13)(64bit) for package: 2:samba-4.0.13-1.fc19.x86_64
--> Processing Dependency: libsamba3-util.so(SAMBA_4.0.13)(64bit) for package: 2:samba-common-4.0.13-1.fc19.x86_64
--> Processing Dependency: libsamba3-util.so(SAMBA_4.0.13)(64bit) for package: 2:samba-client-4.0.13-1.fc19.x86_64
--> Processing Dependency: libsamba-credentials.so.0()(64bit) for package: 2:samba-client-4.0.13-1.fc19.x86_64
--> Processing Dependency: libsamba-credentials.so.0(SAMBA_CREDENTIALS_0.0.1)(64bit) for package: 2:samba-client-4.0.13-1.fc19.x86_64
--> Processing Dependency: libsamba-hostconfig.so.0()(64bit) for package: 2:samba-4.0.13-1.fc19.x86_64
--> Processing Dependency: libsamba-hostconfig.so.0()(64bit) for package: 2:samba-client-4.0.13-1.fc19.x86_64
--> Processing Dependency: libsamba-hostconfig.so.0(SAMBA_HOSTCONFIG_0.0.1)(64bit) for package: 2:samba-4.0.13-1.fc19.x86_64
--> Processing Dependency: libsamba-hostconfig.so.0(SAMBA_HOSTCONFIG_0.0.1)(64bit) for package: 2:samba-client-4.0.13-1.fc19.x86_64
--> Processing Dependency: libsamba-security.so()(64bit) for package: 2:libsmbclient-4.0.13-1.fc19.x86_64
--> Processing Dependency: libsamba-security.so()(64bit) for package: 2:samba-4.0.13-1.fc19.x86_64
--> Processing Dependency: libsamba-security.so()(64bit) for package: 2:samba-common-4.0.13-1.fc19.x86_64
--> Processing Dependency: libsamba-security.so()(64bit) for package: 2:samba-client-4.0.13-1.fc19.x86_64
--> Processing Dependency: libsamba-security.so(SAMBA_4.0.13)(64bit) for package: 2:libsmbclient-4.0.13-1.fc19.x86_64
--> Processing Dependency: libsamba-security.so(SAMBA_4.0.13)(64bit) for package: 2:samba-4.0.13-1.fc19.x86_64
--> Processing Dependency: libsamba-security.so(SAMBA_4.0.13)(64bit) for package: 2:samba-common-4.0.13-1.fc19.x86_64
--> Processing Dependency: libsamba-security.so(SAMBA_4.0.13)(64bit) for package: 2:samba-client-4.0.13-1.fc19.x86_64
--> Processing Dependency: libsamba-sockets.so()(64bit) for package: 2:samba-4.0.13-1.fc19.x86_64
--> Processing Dependency: libsamba-sockets.so()(64bit) for package: 2:samba-client-4.0.13-1.fc19.x86_64
--> Processing Dependency: libsamba-sockets.so(SAMBA_4.0.13)(64bit) for package: 2:samba-4.0.13-1.fc19.x86_64
--> Processing Dependency: libsamba-sockets.so(SAMBA_4.0.13)(64bit) for package: 2:samba-client-4.0.13-1.fc19.x86_64
--> Processing Dependency: libsamba-util.so.0()(64bit) for package: 2:libsmbclient-4.0.13-1.fc19.x86_64
--> Processing Dependency: libsamba-util.so.0()(64bit) for package: 2:samba-4.0.13-1.fc19.x86_64
--> Processing Dependency: libsamba-util.so.0()(64bit) for package: 2:samba-common-4.0.13-1.fc19.x86_64
--> Processing Dependency: libsamba-util.so.0()(64bit) for package: 2:samba-client-4.0.13-1.fc19.x86_64
--> Processing Dependency: libsamba-util.so.0(SAMBA_UTIL_0.0.1)(64bit) for package: 2:libsmbclient-4.0.13-1.fc19.x86_64
--> Processing Dependency: libsamba-util.so.0(SAMBA_UTIL_0.0.1)(64bit) for package: 2:samba-4.0.13-1.fc19.x86_64
--> Processing Dependency: libsamba-util.so.0(SAMBA_UTIL_0.0.1)(64bit) for package: 2:samba-common-4.0.13-1.fc19.x86_64
--> Processing Dependency: libsamba-util.so.0(SAMBA_UTIL_0.0.1)(64bit) for package: 2:samba-client-4.0.13-1.fc19.x86_64
--> Processing Dependency: libsamdb-common.so()(64bit) for package: 2:samba-client-4.0.13-1.fc19.x86_64
--> Processing Dependency: libsamdb-common.so(SAMBA_4.0.13)(64bit) for package: 2:samba-client-4.0.13-1.fc19.x86_64
--> Processing Dependency: libsamdb.so.0()(64bit) for package: 2:samba-common-4.0.13-1.fc19.x86_64
--> Processing Dependency: libsamdb.so.0(SAMDB_0.0.1)(64bit) for package: 2:samba-common-4.0.13-1.fc19.x86_64
--> Processing Dependency: libsecrets3.so()(64bit) for package: 2:libsmbclient-4.0.13-1.fc19.x86_64
--> Processing Dependency: libsecrets3.so()(64bit) for package: 2:samba-4.0.13-1.fc19.x86_64
--> Processing Dependency: libsecrets3.so()(64bit) for package: 2:samba-common-4.0.13-1.fc19.x86_64
--> Processing Dependency: libsecrets3.so()(64bit) for package: 2:samba-client-4.0.13-1.fc19.x86_64
--> Processing Dependency: libsecrets3.so(SAMBA_4.0.13)(64bit) for package: 2:libsmbclient-4.0.13-1.fc19.x86_64
--> Processing Dependency: libsecrets3.so(SAMBA_4.0.13)(64bit) for package: 2:samba-4.0.13-1.fc19.x86_64
--> Processing Dependency: libsecrets3.so(SAMBA_4.0.13)(64bit) for package: 2:samba-common-4.0.13-1.fc19.x86_64
--> Processing Dependency: libsecrets3.so(SAMBA_4.0.13)(64bit) for package: 2:samba-client-4.0.13-1.fc19.x86_64
--> Processing Dependency: libserver-role.so()(64bit) for package: 2:samba-common-4.0.13-1.fc19.x86_64
--> Processing Dependency: libserver-role.so()(64bit) for package: 2:samba-client-4.0.13-1.fc19.x86_64
--> Processing Dependency: libserver-role.so(SAMBA_4.0.13)(64bit) for package: 2:samba-common-4.0.13-1.fc19.x86_64
--> Processing Dependency: libserver-role.so(SAMBA_4.0.13)(64bit) for package: 2:samba-client-4.0.13-1.fc19.x86_64
--> Processing Dependency: libsmbclient-raw.so.0()(64bit) for package: 2:samba-client-4.0.13-1.fc19.x86_64
--> Processing Dependency: libsmbclient-raw.so.0(SMBCLIENT_RAW_0.0.1)(64bit) for package: 2:samba-client-4.0.13-1.fc19.x86_64
--> Processing Dependency: libsmbconf.so.0()(64bit) for package: 2:libsmbclient-4.0.13-1.fc19.x86_64
--> Processing Dependency: libsmbconf.so.0()(64bit) for package: 2:samba-4.0.13-1.fc19.x86_64
--> Processing Dependency: libsmbconf.so.0()(64bit) for package: 2:samba-common-4.0.13-1.fc19.x86_64
--> Processing Dependency: libsmbconf.so.0()(64bit) for package: 2:samba-client-4.0.13-1.fc19.x86_64
--> Processing Dependency: libsmbconf.so.0(SMBCONF_0)(64bit) for package: 2:libsmbclient-4.0.13-1.fc19.x86_64
--> Processing Dependency: libsmbconf.so.0(SMBCONF_0)(64bit) for package: 2:samba-4.0.13-1.fc19.x86_64
--> Processing Dependency: libsmbconf.so.0(SMBCONF_0)(64bit) for package: 2:samba-common-4.0.13-1.fc19.x86_64
--> Processing Dependency: libsmbconf.so.0(SMBCONF_0)(64bit) for package: 2:samba-client-4.0.13-1.fc19.x86_64
--> Processing Dependency: libsmbd_base.so()(64bit) for package: 2:samba-4.0.13-1.fc19.x86_64
--> Processing Dependency: libsmbd_base.so()(64bit) for package: 2:samba-common-4.0.13-1.fc19.x86_64
--> Processing Dependency: libsmbd_base.so(SAMBA_4.0.13)(64bit) for package: 2:samba-4.0.13-1.fc19.x86_64
--> Processing Dependency: libsmbd_base.so(SAMBA_4.0.13)(64bit) for package: 2:samba-common-4.0.13-1.fc19.x86_64
--> Processing Dependency: libsmbd_shim.so()(64bit) for package: 2:samba-4.0.13-1.fc19.x86_64
--> Processing Dependency: libsmbd_shim.so()(64bit) for package: 2:samba-common-4.0.13-1.fc19.x86_64
--> Processing Dependency: libsmbd_shim.so(SAMBA_4.0.13)(64bit) for package: 2:samba-4.0.13-1.fc19.x86_64
--> Processing Dependency: libsmbd_shim.so(SAMBA_4.0.13)(64bit) for package: 2:samba-common-4.0.13-1.fc19.x86_64
--> Processing Dependency: libsmbldaphelper.so()(64bit) for package: 2:samba-common-4.0.13-1.fc19.x86_64
--> Processing Dependency: libsmbldaphelper.so(SAMBA_4.0.13)(64bit) for package: 2:samba-common-4.0.13-1.fc19.x86_64
--> Processing Dependency: libsmbldap.so.0()(64bit) for package: 2:samba-common-4.0.13-1.fc19.x86_64
--> Processing Dependency: libsmbldap.so.0(SMBLDAP_0)(64bit) for package: 2:samba-common-4.0.13-1.fc19.x86_64
--> Processing Dependency: libsmbregistry.so()(64bit) for package: 2:libsmbclient-4.0.13-1.fc19.x86_64
--> Processing Dependency: libsmbregistry.so()(64bit) for package: 2:samba-4.0.13-1.fc19.x86_64
--> Processing Dependency: libsmbregistry.so()(64bit) for package: 2:samba-common-4.0.13-1.fc19.x86_64
--> Processing Dependency: libsmbregistry.so()(64bit) for package: 2:samba-client-4.0.13-1.fc19.x86_64
--> Processing Dependency: libsmbregistry.so(SAMBA_4.0.13)(64bit) for package: 2:libsmbclient-4.0.13-1.fc19.x86_64
--> Processing Dependency: libsmbregistry.so(SAMBA_4.0.13)(64bit) for package: 2:samba-4.0.13-1.fc19.x86_64
--> Processing Dependency: libsmbregistry.so(SAMBA_4.0.13)(64bit) for package: 2:samba-common-4.0.13-1.fc19.x86_64
--> Processing Dependency: libsmbregistry.so(SAMBA_4.0.13)(64bit) for package: 2:samba-client-4.0.13-1.fc19.x86_64
--> Processing Dependency: libsmb_transport.so()(64bit) for package: 2:samba-4.0.13-1.fc19.x86_64
--> Processing Dependency: libsmb_transport.so()(64bit) for package: 2:samba-client-4.0.13-1.fc19.x86_64
--> Processing Dependency: libsmb_transport.so(SAMBA_4.0.13)(64bit) for package: 2:samba-4.0.13-1.fc19.x86_64
--> Processing Dependency: libsmb_transport.so(SAMBA_4.0.13)(64bit) for package: 2:samba-client-4.0.13-1.fc19.x86_64
--> Processing Dependency: libtevent-util.so.0()(64bit) for package: 2:samba-4.0.13-1.fc19.x86_64
--> Processing Dependency: libtevent-util.so.0()(64bit) for package: 2:samba-common-4.0.13-1.fc19.x86_64
--> Processing Dependency: libtevent-util.so.0()(64bit) for package: 2:samba-client-4.0.13-1.fc19.x86_64
--> Processing Dependency: libtevent-util.so.0(TEVENT_UTIL_0.0.1)(64bit) for package: 2:samba-4.0.13-1.fc19.x86_64
--> Processing Dependency: libtevent-util.so.0(TEVENT_UTIL_0.0.1)(64bit) for package: 2:samba-common-4.0.13-1.fc19.x86_64
--> Processing Dependency: libtevent-util.so.0(TEVENT_UTIL_0.0.1)(64bit) for package: 2:samba-client-4.0.13-1.fc19.x86_64
--> Processing Dependency: libtrusts_util.so()(64bit) for package: 2:samba-common-4.0.13-1.fc19.x86_64
--> Processing Dependency: libtrusts_util.so()(64bit) for package: 2:samba-client-4.0.13-1.fc19.x86_64
--> Processing Dependency: libtrusts_util.so(SAMBA_4.0.13)(64bit) for package: 2:samba-common-4.0.13-1.fc19.x86_64
--> Processing Dependency: libtrusts_util.so(SAMBA_4.0.13)(64bit) for package: 2:samba-client-4.0.13-1.fc19.x86_64
--> Processing Dependency: libutil_cmdline.so()(64bit) for package: 2:libsmbclient-4.0.13-1.fc19.x86_64
--> Processing Dependency: libutil_cmdline.so()(64bit) for package: 2:samba-common-4.0.13-1.fc19.x86_64
--> Processing Dependency: libutil_cmdline.so()(64bit) for package: 2:samba-client-4.0.13-1.fc19.x86_64
--> Processing Dependency: libutil_cmdline.so(SAMBA_4.0.13)(64bit) for package: 2:libsmbclient-4.0.13-1.fc19.x86_64
--> Processing Dependency: libutil_cmdline.so(SAMBA_4.0.13)(64bit) for package: 2:samba-common-4.0.13-1.fc19.x86_64
--> Processing Dependency: libutil_cmdline.so(SAMBA_4.0.13)(64bit) for package: 2:samba-client-4.0.13-1.fc19.x86_64
--> Processing Dependency: libutil_reg.so()(64bit) for package: 2:samba-4.0.13-1.fc19.x86_64
--> Processing Dependency: libutil_reg.so()(64bit) for package: 2:samba-common-4.0.13-1.fc19.x86_64
--> Processing Dependency: libutil_reg.so()(64bit) for package: 2:samba-client-4.0.13-1.fc19.x86_64
--> Processing Dependency: libutil_reg.so(SAMBA_4.0.13)(64bit) for package: 2:samba-4.0.13-1.fc19.x86_64
--> Processing Dependency: libutil_reg.so(SAMBA_4.0.13)(64bit) for package: 2:samba-common-4.0.13-1.fc19.x86_64
--> Processing Dependency: libutil_reg.so(SAMBA_4.0.13)(64bit) for package: 2:samba-client-4.0.13-1.fc19.x86_64
--> Processing Dependency: libutil_tdb.so()(64bit) for package: 2:samba-4.0.13-1.fc19.x86_64
--> Processing Dependency: libutil_tdb.so()(64bit) for package: 2:samba-common-4.0.13-1.fc19.x86_64
--> Processing Dependency: libutil_tdb.so()(64bit) for package: 2:samba-client-4.0.13-1.fc19.x86_64
--> Processing Dependency: libutil_tdb.so(SAMBA_4.0.13)(64bit) for package: 2:samba-4.0.13-1.fc19.x86_64
--> Processing Dependency: libutil_tdb.so(SAMBA_4.0.13)(64bit) for package: 2:samba-common-4.0.13-1.fc19.x86_64
--> Processing Dependency: libutil_tdb.so(SAMBA_4.0.13)(64bit) for package: 2:samba-client-4.0.13-1.fc19.x86_64
--> Processing Dependency: libxattr_tdb.so()(64bit) for package: 2:samba-4.0.13-1.fc19.x86_64
--> Processing Dependency: libxattr_tdb.so(SAMBA_4.0.13)(64bit) for package: 2:samba-4.0.13-1.fc19.x86_64

Comment 14 Rex Dieter 2014-02-22 13:43:46 UTC
It was only fixed on f20+, see comment #5 and comment #6

Comment 15 Harald Reindl 2014-02-22 13:49:13 UTC
the problem is that this bug appears regulary again and again and that avahi service is enabled - the result was in my case that it was running after F19 dist-upgrade for some weeks on production machines and this is not the first release where that happened

so there are two solutions:

* more care in that package
* forbid *in general* that services are enabled after install

because of that again and again happening things i recently started to *mask* any service wether the package is installed or not to prevent such impacts in the future

lrwxrwxrwx 1 root root    9 2014-02-09 20:48 avahi-daemon.service -> /dev/null
lrwxrwxrwx 1 root root    9 2014-02-09 20:48 dbus-org.freedesktop.Avahi.service -> /dev/null
lrwxrwxrwx 1 root root    9 2014-02-09 20:48 avahi-daemon.socket -> /dev/null

Comment 16 Matthias Clasen 2014-02-24 22:18:14 UTC
and you think that venting in a closed bug is going to get you closer to any of your solutions ?

Comment 17 Harald Reindl 2014-02-24 22:35:40 UTC
honestly i have no idea to get somehow closer not introduce dependency chains again and again nor how to get people to realize that services enabled at install time is a broken idea from the windows world

you have a lot of problems at the same time here:

* repeatly wrong introduced deps
* installing unneeded packages
* enable unwanted and unneeded *network aware* services silently

there is no benfit in subpackages of "package" and "package-libs" if the main packages are required, at this point you can also make one large package and avoid the rpmdb overhead 

the only weapon against such repeatly appearing torubles is to make your own metapackage with Obsoletes/Provides to lie against yum/rpm

Comment 18 Michal Schmidt 2014-02-25 10:50:30 UTC
Here is a description which services are allowed to start by default:
https://fedoraproject.org/wiki/Starting_services_by_default

If you do not like the decisions by FESCo in this regard, learn how to use the systemd preset mechanism for your needs. See man systemd.preset.


Note You need to log in before you can comment on or make changes to this bug.